ЗДЕСЬ МОЖЕТ БЫТЬ ВАША РЕКЛАМА!

БАННЕР 500 х 90 тИЦ=10 PR=3
Просмотров более 5000 в месяц.
Цена 2000 рублей в месяц.
Деньги от рекламы идут на ВАШ инвестиционный счет в проекте СПИ
КРАУДФАНДИНГ!
Исполняем желания!
ВЛОЖИСЬ В БУДУЩЕЕ!

МАШИНОСТРОЕНИЕ И МЕТАЛЛООБРАБОТКА. САПР. CAD\CAM\CAE\PLM. ФОРУМ ИНЖЕНЕРОВ!

Информация о пользователе

Привет, Гость! Войдите или зарегистрируйтесь.


Вы здесь » МАШИНОСТРОЕНИЕ И МЕТАЛЛООБРАБОТКА. САПР. CAD\CAM\CAE\PLM. ФОРУМ ИНЖЕНЕРОВ! » CAM-cистемы подготовки УП » САМ онлайн за 2-а дня! Подарок машиностроителям на НГ!


САМ онлайн за 2-а дня! Подарок машиностроителям на НГ!

Сообщений 1 страница 6 из 6

1

Из ответа на cad.ru в теме: "Промышленный Искусственный Интеллект"
<noindex>
Понял!
Володя! Я помню, как вы быстро все сообразили, когда только узнали о моих разработках.
Это ценно! Кроме вас только Андрей, А. Ловыгин, некоторые ребята из Ледас так же быстро въехали в проблему и все поняли без дополнительных объяснений. Ну естественно
Проф. Бочаров, Рудой В.З., Боткин Ю.А. и еще немного людей. В основном разработчики.

Возможно они еще будут обращаться. У них ведь результатов нет. Деньги раздали, а как говорит Матвиенко В. отдачи нет. :evil:  А может обиделись смертельно.
Я им написал, что на конференцию "ИТ в машиностроении" не поеду, мать престарелая требует присмотра, но документы: доклад, бизнес план выслал и отчеты каждый квартал писать готов о том, как идут мои дела. Как надумают грант давать, так пусть приглашают, приеду, без конкурсов всяких. Возможно! Если успеют дать до выхода моего на бизнес.
Потом такие гранты есть у любой страны. Чего на РФ то зацикливаться. И мне кажется, что эти гранты мне уже скоро будут не нужны.

Вот сделал конвертацию макроса VBA SolidWorks в ЧПУ код http://dxftonc2012.ru
Домен свободный был,  вчера закачал на сервер. САМ онлайн за 2 дня. :-D  Пользуйтесь, только осторожно. Если понравится, буду усовершенствовать. Там много еще чего можно делать.
Главное протестировать правильность координат X,Y,I,J. Данные I,J не для всех подойдут стоек. Если будет интерес, будем дорабатывать.
Свежеиспеченный САМ и недоработок и ошибок хватает.

Я сконвертировал вот этот макрос:

******************************************************************************
' C:\DOCUME~1\АДМ\LOCALS~1\Temp\swx120\Macro1.swb - macro recorded on 12/28/12 by Адм
' ******************************************************************************
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc
Part.SelectByID "Point8", "SKETCHPOINT", 0.03792425753003, -0.03709435211283, 0
Part.SelectByID "Arc2", "SKETCHSEGMENT", 0.049554044189, -0.0333654326629, 0
Part.SelectByID "Point10", "SKETCHPOINT", 0.03792425753003, -0.01709435211283, 0
Part.SelectByID "Point9", "SKETCHPOINT", 0.05792425753003, -0.01709435211283, 0
Part.SelectByID "Line4", "SKETCHSEGMENT", 0.05792425753003, 0.002282729360789, 0
Part.SelectByID "Point5", "SKETCHPOINT", 0.05792425753003, 0.02652366977263, 0
Part.SelectByID "Arc1", "SKETCHSEGMENT", 0.05528303161791, 0.03329481767557, 0
Part.SelectByID "Point7", "SKETCHPOINT", 0.04792425753003, 0.02652366977263, 0
Part.SelectByID "Point6", "SKETCHPOINT", 0.04792425753003, 0.03652366977263, 0
Part.SelectByID "Line1", "SKETCHSEGMENT", 0.03281423456135, 0.03652366977263, 0
Part.SelectByID "Point14", "SKETCHPOINT", -0.01479856370549, 0.03652366977263, 0
Part.SelectByID "Arc4", "SKETCHSEGMENT", -0.03513672050024, 0.02857722681435, 0
Part.SelectByID "Point16", "SKETCHPOINT", -0.01479856370549, 0.006523669772628, 0
Part.SelectByID "Point15", "SKETCHPOINT", -0.04479856370549, 0.006523669772628, 0
Part.SelectByID "Line2", "SKETCHSEGMENT", -0.04479856370549, -0.01198432914414, 0
Part.SelectByID "Point11", "SKETCHPOINT", -0.04479856370549, -0.03209435211283, 0
Part.SelectByID "Arc3", "SKETCHSEGMENT", -0.04375690349625, -0.03514911005755, 0
Part.SelectByID "Point13", "SKETCHPOINT", -0.03979856370549, -0.03209435211283, 0
Part.SelectByID "Point12", "SKETCHPOINT", -0.03979856370549, -0.03709435211283, 0
Part.SelectByID "Line3", "SKETCHSEGMENT", -0.020259223077, -0.03709435211283, 0
Part.SelectByID "Point8", "SKETCHPOINT", 0.03792425753003, -0.03709435211283, 0
End Sub

А получил моментально вот это:

N10G03X57.924Y-17.094I37.924J-17.094
N20G01X57.924Y26.524
N30G03X47.924Y36.524I47.924J26.524
N40G01X-14.799Y36.524
N50G03X-44.799Y6.524I-14.799J6.524
N60G01X-44.799Y-32.094
N70G03X-39.799Y-37.094I-39.799J-32.094
N80G01X37.924Y-37.094

Правильно, не правильно пока не проверил.
Просто рекорд в разработке САМ захотел поставить. :-D
2-а дня! Не спеша. На 3-й вот выкладываю.
На почту получателя, если вводить ее адрес будет выслано уведомление адресату
о создании УП и ссылка.

Подарок машиностроителям на НГ :-D
С Новым Годом всех!
</noindex>

0

2

перед кадром N10 с круговой интерполяцией G03 надо иметь начальную точку
с координатами X37.924Y-37.094. Она же конечная в программе. Доработаем.

0

3

Admin написал(а):

перед кадром N10 с круговой интерполяцией G03 надо иметь начальную точку
с координатами X37.924Y-37.094. Она же конечная в программе. Доработаем.


Поправил:
http://dxftonc2012.ru/

Есть сильное желание развить этот ресурс и сделать его с тремя формами доступа:
1) Ручное обозначение примитивов контура и автоматическое формирование УП при обработке макроса контура - БЕСПЛАТНО!
2) Ручное обозначение КТЭ и примитивов контуров и автоматическое формирование УП на цикл 2,5х обработки - АБОНЕНТСКАЯ ПЛАТА
3) Промышленный Искусственный Интеллект, все в автоматическом режиме
Плата за фактическое использование.

Возможны конечно варианты. Но что то так примерно.

0

4

Admin написал(а):

Поправил:
http://dxftonc2012.ru/
Есть сильное желание развить этот ресурс и сделать его с тремя формами доступа:
1) Ручное обозначение примитивов контура и автоматическое формирование УП при обработке макроса контура - БЕСПЛАТНО!
2) Ручное обозначение КТЭ и примитивов контуров и автоматическое формирование УП на цикл 2,5х обработки - АБОНЕНТСКАЯ ПЛАТА
3) Промышленный Искусственный Интеллект, все в автоматическом режиме
Плата за фактическое использование.


Перенес на новый домен это чудо http://cnconline.ru

Хорошо продвинулся в последние дни.
Вот что написал ан кад.ру:

<noindex>
Вот скрипт:

*****************************************************************************
' C:\DOCUME~1\АДМ\LOCALS~1\Temp\swx2040\Macro1.swb - macro recorded on 01/24/13 by Адм
' ******************************************************************************
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc
Part.SelectByID "", "FACE", 0.01153362507605, -0.03862423281281, 0.02499999999998'Подчеркнутый параметр, это верхняя плоскость заготовки
Part.SelectByID "", "FACE", 0.01153362507605, -0.03862423281281, 0.01499999999998'Подчеркнутый параметр, это глубина внутреннего контура
Part.SelectByID "Point164", "SKETCHPOINT", 0.004942633727043, 0.008410449325855, 0
Part.SelectByID "Line25", "SKETCHSEGMENT", 0.01107764654092, 0.01049175688961, 0
Part.SelectByID "Point36", "SKETCHPOINT", 0.02543847586429, 0.01536367869308, 0
Part.SelectByID "Line11", "SKETCHSEGMENT", -0.007158797891222, 0.01068536625595, 0
Part.SelectByID "Point39", "SKETCHPOINT", -0.018786408053, 0.009016588871616, 0
Part.SelectByID "Arc29", "SKETCHSEGMENT", -0.007987781839247, 0.004006389713006, 0
Part.SelectByID "Point85", "SKETCHPOINT", 0, 0.03536507970554, 0
Part.SelectByID "Point36", "SKETCHPOINT", 0.02543847586429, 0.01536367869308, 0
Part.SelectByID "Line26", "SKETCHSEGMENT", 0.02463613988667, 0.02095414873069, 0
Part.SelectByID "Point35", "SKETCHPOINT", 0.024017846855, 0.02526225501586, 0
Part.SelectByID "Line5", "SKETCHSEGMENT", 0.006220702294999, 0.02270803519475, 0
Part.SelectByID "Point37", "SKETCHPOINT", -0.02020703706229, 0.0189151651944, 0
Part.SelectByID "Arc14", "SKETCHSEGMENT", -0.02871679158771, 0.01019450349229, 0
Part.SelectByID "Point39", "SKETCHPOINT", -0.018786408053, 0.009016588871616, 0
Part.SelectByID "Point38", "SKETCHPOINT", -0.02459184243399, 8.742960957453E-04, 0
Part.SelectByID "Arc15", "SKETCHSEGMENT", 0.003613280361947, -0.006840572443692, 0
Part.SelectByID "Point85", "SKETCHPOINT", 0, 0.03536507970554, 0
Part.SelectByID "Point34", "SKETCHPOINT", 0.03329955297738, 0.009182783400155, 0
Part.SelectByID "Arc13", "SKETCHSEGMENT", 0.03408082778845, 0.02039455865775, 0
Part.SelectByID "Point36", "SKETCHPOINT", 0.02543847586429, 0.01536367869308, 0
Part.SelectByID "Point35", "SKETCHPOINT", 0.024017846855, 0.02526225501586, 0
Part.SelectByID "", "FACE", 0.02709060773676, -0.001609343033867, 0.02499999999999'Подчеркнутый параметр, это глубина сквозного выреза
Part.SelectByID "Point118", "SKETCHPOINT", 0.09197081330487, -0.05153993489222, 0
Part.SelectByID "Line28", "SKETCHSEGMENT", 0.07644379410869, -0.05153993489222, 0
Part.SelectByID "Point119", "SKETCHPOINT", 0.0623819605995, -0.05153993489222, 0
Part.SelectByID "Arc81", "SKETCHSEGMENT", 0.05454434558622, -0.0553293156877, 0
Part.SelectByID "Point122", "SKETCHPOINT", 0.0623819605995, -0.06153993489222, 0
Part.SelectByID "Point120", "SKETCHPOINT", 0.0523819605995, -0.06153993489222, 0
Part.SelectByID "Line27", "SKETCHSEGMENT", 0.0523819605995, -0.0751026749138, 0
Part.SelectByID "Point121", "SKETCHPOINT", 0.0523819605995, -0.09158584009853, 0
Part.SelectByID "", "FACE", 0.07054286965118, -0.0278952792537, 0.02499999999998' 'Подчеркнутый параметр, это глубина сквозных отверстий
Part.SelectByID "Point173", "SKETCHPOINT", 0.07325623653291, 0, 0
Part.SelectByID "Point197", "SKETCHPOINT", 0, 0.07325623653291, 0
Part.SelectByID "Point186", "SKETCHPOINT", -0.07325623653291, 0, 0
Part.SelectByID "Point208", "SKETCHPOINT", 0, -0.07325623653291, 0
End Sub

Хотя у меня есть еще желание подшаманить генерируемую УП и уж безусловно наращивать функционал, в целом уже все ОК!
Мир получил новый онлайн САМ. 

Первая выделенная строка, это я кликнул на верхней плоскости заготовки.
С этого начинаем всякий раз подготовку УП.
Вторая выделенная строка, это я кликнул на дне кармана и начал прокликивать
предварительно построенную оффсетную геометрию траектории движения фрезы.
Здесь надо быть очень внимательным и смотреть что показывает солид. А он всегда показывает на чем в данный момент расположен курсор мыши, на точке, линии, или дуге.
Особенно надо быть внимательным когда кликнули на дуге, после этого надо обязательно кликнуть сначала на ее центре и затем на конечной точке дуги.

У меня на прокликивание обоработки этой детали ушло минуты 2.
Думаю, что когда нибудь я все таки узнаю, как вытаскивать координаты опорных точек и этот вопрос с прокликиванием закроем.
</noindex>

0

5

Вот автоматически сгенерированная УП онлайн с приведенного выше макроса:

N10M6T1
N20G00G90G43D01Z30
N30S250M08
N40G00Z30
N50G01Z15F100.
N60G01X4.943Y8.41
N70G01X25.438Y15.364
N80G01X-18.786Y9.017
N90G03X25.438Y15.364I0J35.365
N100G01X24.018Y25.262
N110G01X-20.207Y18.915
N120G03X-24.592Y0.874I-18.786J9.017
N130G03X33.3Y9.183I0J35.365
N140G03X24.018Y25.262I25.438J15.364
N150G00Z30
N160M6T2
N170G00G90G43D02Z30
N180S250M08
N190G00Z30
N200G01Z-5F100.
N210G01X91.971Y-51.54
N220G01X62.382Y-51.54
N230G03X52.382Y-61.54I62.382J-61.54
N240G01X52.382Y-91.586
N250G00Z30
N260M6T3
N270G00G90G43D03Z30
N280S250M08
N290G00Z30
N300G01Z-5F100.
N310G01X73.256Y0
N320G81Z-5F100
N330X73.256Y0
N340X0Y73.256
N350X-73.256Y0
N360X0Y-73.256
N370G80
N380G00Z30
N390G40M05
N400M00

0

6

Вот деталь:?
http://s2.uploads.ru/t/Ve0wB.png
Вот построенная офсетная геометрия на Обрабатываемых КТЭ
http://s3.uploads.ru/t/8qvTI.png
А вот прорисовка УП:
http://s2.uploads.ru/t/0kfEg.png

0


Вы здесь » МАШИНОСТРОЕНИЕ И МЕТАЛЛООБРАБОТКА. САПР. CAD\CAM\CAE\PLM. ФОРУМ ИНЖЕНЕРОВ! » CAM-cистемы подготовки УП » САМ онлайн за 2-а дня! Подарок машиностроителям на НГ!